<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="./vue.js"></script>
    <title>Document</title>
    <style>
        .verde{
            background-color: green;
        }
        .branco{
            background-color: white;
        }
        .azul{
            background-color: blue;
        }
        .vermelho{
            background-color: red;
        }
        .borda{
            border: 1px solid;
        }
        .div-principal{
            width: 200px;
            height: 200px;
        }
        .div-comum{
            width : 50px;
            height: 50px;
            display: inline-block;
        }
    </style>
</head>
<body>
    <div id="app">
        <a href="https://jorgesantana.net.br"
            target="_blank"
            v-on:click="previnirConportamentoPadrao()"    
        >
       Link 
       </a>
       <br>
       Mensagem: {{msg}}
    </div>

  <script>

        const vm = new Vue({
            el:'#app',
            data:{
                msg:''
            },
            methods:{
                previnirConportamentoPadrao(){
                    this.msg = 'Comportamento padrão ativado.'
                }
            }
        })

    </script>
</body>
</html>